package main

import (
	"fmt"
	"log"

	"github.com/tebeka/selenium"

	"git.trj.tw/golang/go-crawler/modules/browser"
)

func main() {
	opts := browser.Options{
		SeleniumPath: "/selenium.jar",
		DriverPath:   "/usr/bin/geckodriver",
		Port:         8080,
	}

	err := browser.NewService(opts)
	if err != nil {
		log.Fatal(err)
	}
	defer func() { browser.StopService() }()

	wd, err := browser.NewWD()
	if err != nil {
		log.Fatal(err)
	}
	defer wd.Quit()

	err = wd.Get("https://tools.trj.tw")
	if err != nil {
		log.Fatal(err)
	}

	el, err := wd.FindElement(selenium.ByCSSSelector, "body")
	if err != nil {
		log.Fatal(err)
	}

	fmt.Println(el.Text())
}
